package adminPage;

import org.openqa.selenium.By;
import org.openqa.selenium.Keys;
import org.openqa.selenium.WebDriver;
import utilities.Utils;

public class AddUser {
    private WebDriver driver;
    private By addUserButton = By.xpath("//button[text()=' Add ']");
    private By userRoleDropdown = By.xpath("(//div[@class='oxd-select-text-input'])[1]");
    private By statusDropdown = By.xpath("(//div[@class='oxd-select-text-input'])[2]");

    private By passwordFiled = By.xpath("(//input[@type='password'])[1]");

    private By confirmPasswordFiled = By.xpath("(//input[@type='password'])[2]");

    private By employeeNameField = By.xpath("//input[@placeholder='Type for hints...']");

    private By userName = By.xpath("(//input[@class='oxd-input oxd-input--active'])[2]");

    private By saveButton = By.xpath("//button[text()=' Save ']");

    private By toastMessage = By.xpath("(//div[@id='oxd-toaster_1'])[1]");

    public AddUser(WebDriver driver) {
        this.driver = driver;
    }

    public void goToAddUserForm() {
        Utils.waitForElementVisible(driver, addUserButton);
        Utils.clickOnElement(driver, addUserButton);
    }

    public void setUserRoleToAdmin() {
        Utils.waitForElementVisible(driver, userRoleDropdown);
        Utils.clickOnElement(driver, userRoleDropdown);
        driver.findElement(userRoleDropdown).sendKeys(Keys.ARROW_DOWN);
        driver.findElement(userRoleDropdown).sendKeys(Keys.ENTER);
    }

    public void setUserStatusToEnabled() {
        Utils.waitForElementVisible(driver, statusDropdown);
        Utils.clickOnElement(driver, statusDropdown);
        driver.findElement(statusDropdown).sendKeys(Keys.ARROW_DOWN);
        driver.findElement(statusDropdown).sendKeys(Keys.ENTER);
    }

    public void setEmployeeName() throws InterruptedException {
        Utils.waitForElementVisible(driver, employeeNameField);
        Utils.clickOnElement(driver, employeeNameField);
        driver.findElement(employeeNameField).sendKeys("a");
        Thread.sleep(4000);
        driver.findElement(employeeNameField).sendKeys(Keys.ARROW_DOWN);
        driver.findElement(employeeNameField).sendKeys(Keys.ENTER);
    }

    public void setUserName(String text) {
        Utils.clickOnElement(driver, userName);
        Utils.clickOnElement(driver, userName);
        driver.findElement(userName).sendKeys(text);


    }

    public void setPassword(String text) {
        Utils.waitForElementVisible(driver, passwordFiled);
        Utils.clickOnElement(driver, passwordFiled);
        driver.findElement(passwordFiled).sendKeys(text);
    }

    public void setConfirmPassword(String text) {
        Utils.waitForElementVisible(driver, confirmPasswordFiled);
        Utils.clickOnElement(driver, confirmPasswordFiled);
        driver.findElement(confirmPasswordFiled).sendKeys(text);
    }

    public String getToastMessage() {
        Utils.waitForElementVisible(driver, toastMessage);
        String message = driver.findElement(toastMessage).getText();
        return message;
    }

    public void clickOnSaveButton() {
        Utils.waitForElementVisible(driver, saveButton);
        Utils.clickOnElement(driver, saveButton);
    }

}
