package adminPage;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;
import utilities.Utils;

import java.lang.reflect.Array;
import java.time.Duration;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class EmployeeList {
    private WebDriver driver;

    private By employeeCheckBox = By.cssSelector("span.oxd-checkbox-input");
    //private By deleteButton = By.cssSelector("(//i[@class='oxd-icon bi-trash'])");

    private By confirmButton = By.xpath("//button[contains(.,'Yes, Delete')]");

    public EmployeeList(WebDriver driver) {
        this.driver = driver;
    }

    public void clickEmployeeCheckBox(int index) {
        WebDriverWait wait = new WebDriverWait(driver, Duration.ofSeconds(5));
        wait.until(ExpectedConditions.presenceOfElementLocated(employeeCheckBox));
        WebElement employee = driver.findElements(employeeCheckBox).get(index);
        employee.click();
    }

    public void clickDeleteButton(String index) {
        WebDriverWait wait = new WebDriverWait(driver, Duration.ofSeconds(5));
        wait.until(ExpectedConditions.presenceOfElementLocated(By.xpath("(//i[@class='oxd-icon bi-trash'])" + "[" + index + "]"))).click();
    }

    public void clickConfirmButton() {
        WebDriverWait wait = new WebDriverWait(driver, Duration.ofSeconds(5));
        wait.until(ExpectedConditions.presenceOfElementLocated(confirmButton)).click();
    }

    public String getToastText() {
        return driver.findElement(By.xpath("(//div[@id='oxd-toaster_1'])")).getText();
    }

    public void clickSearchButton() {
    }

}
