package homepage;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import utilities.Utils;

public class Login {
    private WebDriver driver;
    private By username = By.cssSelector("input[name='username']");
    private By password = By.cssSelector("input[name='password']");
    private By loginButton = By.cssSelector("button[type='submit']");

    public Login(WebDriver driver) {
        this.driver = driver;
    }

    public void setUserName(String userInput) {
        Utils.waitForElementVisible(driver, username);
        driver.findElement(username).sendKeys(userInput);
    }

    public void setPassword(String userPass) {
        Utils.waitForElementVisible(driver, password);
        driver.findElement(password).sendKeys(userPass);
    }

    public NavigationMenu clickLogin() {
        Utils.waitForElementVisible(driver, loginButton);
        driver.findElement(loginButton).click();
        return new NavigationMenu(driver);
    }

    public String getCurrentUrl() {
        return driver.getCurrentUrl();
    }

    public WebElement getUserNameElement() {
        Utils.waitForElementVisible(driver, username);
        return driver.findElement(username);
    }

    public WebElement getPasswordElement() {
        Utils.waitForElementVisible(driver, password);
        return driver.findElement(password);
    }

    public WebElement getLoginButtonElement() {
        Utils.waitForElementVisible(driver, loginButton);
        return driver.findElement(loginButton);
    }

}
