package base;

import homepage.Login;
import io.github.bonigarcia.wdm.WebDriverManager;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.testng.annotations.*;

public class BaseTest {
    protected Login homePageLogin;
    private WebDriver driver;

    @BeforeClass  // so want this method to run before every class
    public void setUp() {
        WebDriverManager.chromedriver().setup();
        System.setProperty("webdriver.http.factory", "jdk-http-client"); //for 403 error
        driver = new ChromeDriver();
        driver.manage().deleteAllCookies();
        goHome();
        homePageLogin = new Login(driver);
    }


    @BeforeMethod
    public void goHome() {
        driver.get("https://opensource-demo.orangehrmlive.com/web/index.php/auth/login");
    }

    @AfterClass
    public void tearDown() {
        driver.quit();
    }

    public void clearCookies() {
        driver.manage().deleteAllCookies();
    }
}
